Mailinglist Archive: opensuse-ruby (15 mails)

< Previous Next >
Re: [opensuse-ruby] -rvendor-specific doesn't exist in ruby 1.9 in Factory
On 06/04/2012 10:01 PM, Stephan Kulow wrote:
On 04.06.2012 12:52, Tim Serong wrote:
On 06/04/2012 08:46 PM, Stephan Kulow wrote:
On 04.06.2012 12:43, Marcus Rueckert wrote:

1. so instead of providing one little file to install things to
vendor_ruby we will patch every single setup.rb to support a --vendor
parameter?

Every single setup.rb of the two we have in factory, yes :)


2. another option would be of course to move all our own code into gems
... and install it that way.

ruby-fcgi is your package afaik.

Actually, I've just realised we've also got rubygem-ruby-fcgi, which is
newer than and obsoletes ruby-fcgi. So I guess I should probably
deletereq ruby-fcgi from Factory and request rubygem-ruby-fcgi go in in
its place?
That's what happened to e.g. ldap a while ago. And gem already knows
about vendor support.

OK, I've submitted:

https://build.opensuse.org/request/show/123591 (add rubygem-ruby-fcgi)
https://build.opensuse.org/request/show/123592 (delete ruby-fcgi)



(removing -rvendor-specific from ruby-fcgi gets the build a bit further,
but it then dies with errors like "'struct RString' has no member named
'ptr'" which I'll guess are 1.8/1.9 issues).
Yes, but those are easy to port. It's something around
-R_STRING(thing)->ptr
+R_STRING_PTR(thing)

Ah, fair enough. Still, my vote would be rubygem-ruby-fcgi as above -
seems cleaner than fixing ruby-fcgi. Also, it's a slightly newer
version, and the changelog actually mentions supporting ruby 1.9 :)

Cheers,

Tim
--
Tim Serong
Senior Clustering Engineer
SUSE
tserong@xxxxxxxx
--
To unsubscribe, e-mail: opensuse-ruby+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-ruby+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation